<link href="_lib/search.css" rel="stylesheet" type="text/css">
<link href="_lib/gradient.css" rel="stylesheet" type="text/css">
<a class="button" onclick="window.open('data:application/msexcel,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Excel</a>&nbsp;<a class="button" onclick="window.open('data:application/msword,'+document.getElementById('export').outerHTML.replace(/ /g, '%20'));">Export Data ke Word</a>
<?php
include 'config/koneksi.php';
include '_lib/fungsi_indotgl.php';	

//menampilkan data
$posisi  = 0;
$date_now = date("Y-m-d");
$hasil = mysql_query("SELECT a.nomor_perkara,
a.jenis_perkara_text,
b.tanggal_putusan,
b.tanggal_bht,
b.status_putusan_id,
c.nama_gelar AS nama_ketua_majelis,
d.nama_gelar AS nama_pp, 
g.nomor_akta_cerai,
g.no_seri_akta_cerai,
g.tgl_akta_cerai,
h.tgl_ikrar_talak,
h.status_penetapan_ikrar_talak_id
FROM perkara a, perkara_putusan b, hakim_pn c, panitera_pn d, perkara_panitera_pn e, perkara_hakim_pn f, perkara_akta_cerai g, perkara_ikrar_talak h
WHERE g.tgl_akta_cerai IS NULL
AND h.tgl_ikrar_talak IS NOT NULL
AND h.status_penetapan_ikrar_talak_id = '1'
AND h.tgl_ikrar_talak <= CURDATE() 
AND a.perkara_id = b.perkara_id 
AND a.perkara_id = g.perkara_id 
AND a.perkara_id = h.perkara_id 
AND a.jenis_perkara_id = '346'
AND f.perkara_id = a.perkara_id 
AND e.perkara_id = a.perkara_id 
AND f.hakim_id = c.id 
AND e.panitera_id = d.id 
AND f.urutan = '1'
AND YEAR (b.tanggal_bht) >= '2019'
GROUP BY a.perkara_id 
ORDER BY h.tgl_ikrar_talak DESC") or die("Query failed with error: ".mysql_error());

echo "<div id='export'>";
echo "<h2>Jenis perkara Cerai Talak, Ikrar Terlaksana yang belum terbit akta cerai</h2><br>";
echo "<table align=center><tr>
	<th>No.</th>
	<th>Nomor Perkara</th>
	<th>Tanggal Putus</th>
	<th>Tanggal Ikrar</th>
	<th>Ketua Majelis</th>
	<th>Nama PP</th>
	<th>Keterangan</th></tr>";
	
$no = $posisi+1;
$totalperkara = mysql_num_rows($hasil);
echo "<p align=left>Total Perkara : <b>$totalperkara</b> Perkara</p><br>";
while($r=mysql_fetch_array($hasil)){
$tanggal1  = tgl_indo($r['tanggal_putusan']);
$tanggal2  = tgl_indo($r['tgl_ikrar_talak']);
echo "<tr>
  <td align='center'>$no</td>
  <td align='center'>$r[nomor_perkara]</td>
  <td align='center'>$tanggal1</td>
  <td align='center'><b>$tanggal2</b></td>
  <td align='center'>$r[nama_ketua_majelis]</td>
  <td align='center'>$r[nama_pp]</td>
  <td align='center'>$r[jenis_perkara_text]</td>";
  $no++;
  }
echo "</table><br>";
?>